package colorslider;

import java.awt.Container;
import java.awt.FlowLayout;
import java.awt.GridLayout;
import javax.swing.JFrame;
import javax.swing.JPanel;

/**
 * ColorWindow.java
 * Created by Stijn Strickx on Feb. 27 2008
 * Copyright 2008 Stijn Strickx, All rights reserved
 */
public class ColorWindow {
    
    ColorPanel colorSq;
    private JPanel slidePanel;
    
    public ColorWindow(){
        
        Slider slide1 = new Slider("Red");
        Slider slide2 = new Slider("Green");
        Slider slide3 = new Slider("Blue");
        colorSq = new ColorPanel(slide1, slide2, slide3);
        slidePanel = new JPanel();
        slideComplete(slide1);
        slideComplete(slide2);
        slideComplete(slide3);
        slidePanel.setLayout(new GridLayout (0,1));
        JFrame window = new JFrame("ColorPanel (c) Stijn Strickx");
        Container cp = window.getContentPane();
        cp.add(slidePanel);
        cp.add(colorSq);
        cp.setLayout(new FlowLayout());
        window.pack();
        window.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        window.setVisible(true);
    }
    public void slideComplete(Slider slide){
        slide.addChangeListener(colorSq);
        slidePanel.add(slide);
    }
}
