package colorslider;

import javax.swing.BorderFactory;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JSlider;
import javax.swing.border.TitledBorder;

/**
 * Slider.java
 * Created by Stijn Strickx on Feb. 27 2008
 * Copyright 2008 Stijn Strickx, All rights reserved
 */
public class Slider extends JPanel {
    private JSlider slider;
    private JLabel number;
    
    public Slider(String name){
        slider = new JSlider();
        number = new JLabel("" + 50/100.0 + "0");
        slider.setMajorTickSpacing(10);
        slider.setMinorTickSpacing(5);
        add(slider);
        add(number);
        TitledBorder border = BorderFactory.createTitledBorder(name);
        setBorder(border);
    }

    void addChangeListener(ColorPanel colorSq) {
        slider.addChangeListener(colorSq);
    }
    public JLabel getNumberLabel(){
        return number;
    }
    public int getValue(){
        return slider.getValue();
    }
}
